----------------------------------------------
-- UranBox.lua
-- by Lygin Gennady a.k.a. Croc 11.01.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local UranFrameWidth, UranFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
UranBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

UranButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ur"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(UranBox,0,0,0,0) 

UranCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(UranBox, 20, 0, 0, 0)

UranBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    UranButton.Visible = GuidesVisibility -- display or undisplay Button
    UranCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if UranCheck.Text ==  "o" then
		UranFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

UranButton.Action = (function()
        return
            function()
              display_Uran = not display_Uran
                if display_Uran then  
                    UranFrame.Visible = true                     
                    UranCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                    
                 else          
                    UranFrame.Visible = false                   
                    UranCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) () 
--------------------------------
UranFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-UranFrameWidth)/2, height-UranFrameHeight-2, (width-UranFrameWidth)/2, 2)

 UranFrame.Customdraw = function(this) 

            if  Uran_firstTickDone then
            if not(UranCloseButtonDone) then
                UranCloseButtonDone = true
                makeCloseButton(UranCloseButton, UranFrame, UranButton)
            end
            else
                Uran_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height        
               if height>=768  then 
                    UranFrame:attach(screenBox, width-UranFrameWidth-35, height-UranFrameHeight-128-27, 35, 128+27)  
               else
                     UranFrame:attach(screenBox, width-UranFrameWidth-200, height-UranFrameHeight-3, 200, 3)  
               end                              
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+30, this.tb - 14)     
            textlayout:println(_("Objects Uranus"))
--[[
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({1,0,1,0.8}) 
	    textlayout:setpos(this.lb+5, this.tb - 503)       
            textlayout:println(_("3D - Models asteroid belts"))

	    textlayout:setfont(smallfont)
            textlayout:setfontcolor({1,0,0,0.8}) 
	    textlayout:setpos(this.lb+2, this.tb - 575) 
            textlayout:println(_("Select model. Wait for the transition"))
	    textlayout:setpos(this.lb+3, this.tb - 585) 
            textlayout:println(_("to a viewpoint. Turn 180 degrees."))
]]			
end

--=================
-- Подключение команд 
--=================
Uran101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)     
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(UranFrame, 2, 2+14*(gg-1), 60, 5+14*1)
--=================
Uran102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("URANUS.1781"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-2),  60, 5+14*2)

 Uran102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus/2018-08-30T04:04:07.81803?x=oFhhZSQbEv3//////////w&y=q1cMh1OVCA&z=kHSYbTRj1gE&ow=0.875031&ox=0.00573464&oy=0.484034&oz=-0.000351351&track=Sol:Uranus&select=Sol:Uranus&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
 Uran103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-3), 60, 5+14*3)
----------------------------------
 Uran104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ariel.1851"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-4), 60, 5+14*4)

 Uran104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ariel")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Ariel/2018-08-30T12:40:23.82085?x=eU+Fe44KBA&y=IjJLDpLUEA&z=fe3Mrm9FCg&ow=0.865123&ox=0.468087&oy=-0.160414&oz=-0.0820009&track=Sol:Uranus:Ariel&select=Sol:Uranus:Ariel&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Belinda.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-5),  60, 5+14*5)

 Uran105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Belinda")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Belinda/2018-08-31T03:00:50.85879?x=Fao49fkl/v///////////w&y=0x1SPnQXAQ&z=j20gc1F1/////////////w&ow=0.590448&ox=0.573648&oy=0.541406&oz=-0.170819&track=Sol:Uranus:Belinda&select=Sol:Uranus:Belinda&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bianca.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-6),  60, 5+14*6)

 Uran106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Bianca")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Bianca/2018-08-31T08:46:37.33825?x=gopLxjHy/v///////////w&y=kF50nuy2/////////////w&z=EklJ1E3P/////////////w&ow=0.434074&ox=0.410474&oy=0.646006&oz=-0.47515&track=Sol:Uranus:Bianca&select=Sol:Uranus:Bianca&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Desdemona.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-7),  60, 5+14*7)

 Uran107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Desdemona")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Desdemona/2018-08-31T14:14:37.45798?x=at1YUjx+/v///////////w&y=KRJYUtkt&z=Vh3EwfWk/////////////w&ow=0.508355&ox=0.522945&oy=0.58362&oz=-0.35706&track=Sol:Uranus:Desdemona&select=Sol:Uranus:Desdemona&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()  
----------------------------------
 Uran108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Juliet.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-8),  60, 5+14*8)

 Uran108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Juliet")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Juliet/2018-08-31T21:15:57.57469?x=QJ59nnWU/f///////////w&y=8gU4PiO0&z=1aPTIuVe/////////////w&ow=0.536412&ox=0.562917&oy=0.551593&oz=-0.30188&track=Sol:Uranus:Juliet&select=Sol:Uranus:Juliet&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Caliban.1997"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-9),  60, 5+14*9)

 Uran109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Caliban")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Caliban/2018-09-01T01:46:47.72827?x=Rx6r+6vR/////////////w&y=94pIyCnK&z=O+ov6FsN/////////////w&ow=0.341352&ox=0.866023&oy=0.360662&oz=0.0583638&track=Sol:Uranus:Caliban&select=Sol:Uranus:Caliban&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cordelia.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-10), 60, 5+14*10)

 Uran110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Cordelia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Cordelia/2018-09-01T05:41:51.17931?x=J/bAtsoe&y=i0zewzZ0/////////////w&z=ZyK7ikKp&ow=0.360137&ox=-0.0604676&oy=-0.338465&oz=0.867229&track=Sol:Uranus:Cordelia&select=Sol:Uranus:Cordelia&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cressida.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-11), 60, 5+14*11)

 Uran111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Cressida")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Cressida/2018-09-01T08:31:35.28295?x=9qyGmKtkAQ&y=AWS+yfK+&z=wJwdis4z&ow=0.405927&ox=0.658573&oy=-0.0526614&oz=0.631452&track=Sol:Uranus:Cressida&select=Sol:Uranus:Cressida&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cupid.03"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-12), 60,  5+14*12)

 Uran112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Cupid")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Cupid/2018-09-01T14:37:01.75147?x=++ziPvhN&y=dfytAX0&z=9FUggP0Q&ow=0.303784&ox=0.579154&oy=-0.241094&oz=0.717056&track=Sol:Uranus:Cupid&select=Sol:Uranus:Cupid&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mab.03"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-13),  60, 5+14*13)

 Uran113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Mab")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			 --celestia:seturl("cel://Follow/Sol:Uranus:Mab/2018-09-01T19:34:48.36062?x=SiXt3mG4/////////////w&y=FX9nOEFK&z=fr6xcvTl/////////////w&ow=0.508688&ox=0.777315&oy=0.134806&oz=-0.34474&track=Sol:Uranus:Mab&select=Sol:Uranus:Mab&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Margaret.03"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-14),  60, 5+14*14)

 Uran114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Margaret")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Margaret/2018-09-02T02:09:54.84760?x=3nQkrDoC&y=b9vhydu7/////////////w&z=Vu7akrA4&ow=0.0578035&ox=-0.0409536&oy=0.422667&oz=-0.903512&track=Sol:Uranus:Margaret&select=Sol:Uranus:Margaret&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Miranda.1948"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-15), 60, 5+14*15)

 Uran115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Miranda")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Miranda/2018-09-02T08:59:06.04724?x=dMsp5hbs/////////////w&y=bK4RKVBfBg&z=rj4p+qap+v///////////w&ow=0.421695&ox=0.904043&oy=-0.0611846&oz=-0.0337146&track=Sol:Uranus:Miranda&select=Sol:Uranus:Miranda&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Oberon.1787"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-16), 60, 5+14*16)

 Uran116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Oberon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Oberon/2018-09-03T15:05:01.76509?x=kFLhnogz5v///////////w&y=HOlgoWvz&z=DTjDKqSd+v///////////w&ow=0.268386&ox=0.71389&oy=0.304047&oz=-0.570864&track=Sol:Uranus:Oberon&select=Sol:Uranus:Oberon&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ophelia.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-17),  60, 5+14*17)

 Uran117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ophelia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Ophelia/2018-09-11T20:18:22.15296?x=SnvCIU2I/////////////w&y=HxIp8R/I&z=Jo2+09DJ/////////////w&ow=0.572053&ox=0.77585&oy=0.105938&oz=-0.24411&track=Sol:Uranus:Ophelia&select=Sol:Uranus:Ophelia&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Puck.1985"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-18),  60, 5+14*18)

 Uran118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Puck")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Puck/2018-09-12T03:26:59.17311?x=3SdJEO5vAg&y=cAWZ9xbO/v///////////w&z=2e3WpIe1&ow=0.293513&ox=0.409898&oy=-0.453439&oz=0.735001&track=Sol:Uranus:Puck&select=Sol:Uranus:Puck&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Perdita.1999"))
    :movable(false)
    :active(true) 
    :attach( UranFrame, 2, 2+14*(gg-19),  60, 5+14*19)

 Uran119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Perdita")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Perdita/2018-09-12T17:03:23.34629?x=F7B7FJsU&y=pu+GGZV+/////////////w&z=zh+dkLYW&ow=0.0577758&ox=0.0529391&oy=-0.641725&oz=0.762921&track=Sol:Uranus:Perdita&select=Sol:Uranus:Perdita&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Portia.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-20),  60, 5+14*20)

 Uran120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Portia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Portia/2018-09-13T06:04:57.31494?x=/0HqdE7H/////////////w&y=Z/5xt3epAg&z=lNGUGYSY/////////////w&ow=0.651581&ox=0.757413&oy=0.0337562&oz=-0.0250747&track=Sol:Uranus:Portia&select=Sol:Uranus:Portia&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Prospero.1999"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-21),  60, 5+14*21)

 Uran121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Prospero")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Prospero/2018-09-13T11:21:42.99077?x=hNXN0AR+/////////////w&y=FmssHzSA&z=Hh2jvrh9&ow=0.794005&ox=0.439445&oy=0.152671&oz=-0.391325&track=Sol:Uranus:Prospero&select=Sol:Uranus:Prospero&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Rosalind.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-22),  60, 5+14*22)

 Uran122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Rosalind")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Rosalind/2018-09-13T16:19:56.97909?x=cjAxUP26&y=MieTeZJG/////////////w&z=U8q+4JpL/////////////w&ow=0.152097&ox=0.39061&oy=-0.793722&oz=0.44079&track=Sol:Uranus:Rosalind&select=Sol:Uranus:Rosalind&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Setebos.1999"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-23),  60, 5+14*23)

 Uran123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Setebos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Setebos/2018-09-13T22:35:03.29049?x=ZlLkEZag/////////////w&y=iUKc+xcJ&z=4Kr75f69&ow=0.810427&ox=0.145776&oy=0.179822&oz=-0.538165&track=Sol:Uranus:Setebos&select=Sol:Uranus:Setebos&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sycorax.1997"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-24),  60, 5+14*24)

 Uran124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Sycorax")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Sycorax/2018-09-14T03:51:06.98481?x=FCYfwvyJAQ&y=+n0kksiz/////////////w&z=csgVVWOc/f///////////w&ow=0.205231&ox=0.525366&oy=-0.801274&oz=0.199578&track=Sol:Uranus:Sycorax&select=Sol:Uranus:Sycorax&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Stephano.1999"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-25), 60, 5+14*25)

 Uran125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Stephano")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Stephano/2018-09-14T07:02:00.14490?x=HOZIRI7B/////////////w&y=Ews2I+Bw&z=M89FO/TE/////////////w&ow=0.35923&ox=0.79384&oy=-0.27914&oz=-0.40355&track=Sol:Uranus:Stephano&select=Sol:Uranus:Stephano&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titania.1787"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-26), 60, 5+14*26)

 Uran126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Titania")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Titania/2018-09-15T10:51:58.03465?x=wIdDAe4g+v///////////w&y=dzNUKOo67////////////w&z=E7T7XyTCFA&ow=0.398751&ox=-0.0353983&oy=0.34481&oz=-0.849029&track=Sol:Uranus:Titania&select=Sol:Uranus:Titania&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Trinculo.01"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-27),  60, 5+14*27)

 Uran127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Trinculo")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Trinculo/2018-09-20T06:46:49.33105?x=8lj3ZUhP&y=gXeTbmn9/////////////w&z=WpebWkz3/////////////w&ow=0.290172&ox=0.659686&oy=-0.345451&oz=0.601065&track=Sol:Uranus:Trinculo&select=Sol:Uranus:Trinculo&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
 Uran128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Umbriel.1851"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-28), 60 , 5+14*28)

 Uran128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Umbriel")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Umbriel/2018-09-20T16:27:56.62199?x=pci1CLfX6////////////w&y=aBfUnmra&z=qfUrPybBAQ&ow=0.344745&ox=0.610146&oy=0.290524&oz=-0.651512&track=Sol:Uranus:Umbriel&select=Sol:Uranus:Umbriel&fov=36.4986&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
 Uran129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ferdinand.01"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-29),  60 , 5+14*29)

 Uran129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ferdinand")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Ferdinand/2018-09-22T04:41:29.98628?x=zBJKkRs1&y=YBqw+zAE&z=nMAdvx65/////////////w&ow=0.133697&ox=0.888701&oy=-0.331519&oz=0.287108&track=Sol:Uranus:Ferdinand&select=Sol:Uranus:Ferdinand&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------
 Uran130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Francisco.01"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-30), 60, 5+14*30)

 Uran130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Francisco")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Francisco/2018-09-22T09:19:00.00548?x=VZakajzP/////////////w&y=1wQawVz8/////////////w&z=zYD+CWRU&ow=0.336237&ox=0.235937&oy=0.108228&oz=-0.905298&track=Sol:Uranus:Francisco&select=Sol:Uranus:Francisco&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
--------------------------------
Uran131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-31), 60, 5+14*31)
--------------------------------
Uran132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-32), 60, 5+14*32)
--------------------------------
Uran133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-33), 60, 5+14*33)
--------------------------------
Uran134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-34), 60, 5+14*34)
--------------------------------
Uran135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-35), 60, 5+14*35)
--------------------------------
Uran136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-36), 60, 5+14*36)
--------------------------------
Uran137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-37), 60, 5+14*37)
--------------------------------
Uran138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-38), 60, 5+14*38)
--------------------------------
Uran139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-39), 60, 5+14*39)
--------------------------------
Uran140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-40), 60, 5+14*40)
--------------------------------
Uran141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-41), 60, 5+14*41)
--==================
  Uran201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-1), 2, 5+14*1)
----------------------------------
 Uran202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~51118"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-2), 2, 5+14*2)
----------------------------------
 Uran203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~20,1"))
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-3), 2, 5+14*3)
---------------------------------- 
 Uran204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1162"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-4), 2, 5+14*4)
----------------------------------
 Uran205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~128"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-5), 2, 5+14*5)
----------------------------------
 Uran206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~64"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-6), 2, 5+14*6)  
---------------------------------
 Uran207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~90"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-7), 2, 5+14*7)
----------------------------------
 Uran208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~150"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-8), 2, 5+14*8)
----------------------------------
 Uran209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~72"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-9), 2, 5+14*9)
----------------------------------
 Uran210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~50"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-10), 2, 5+14*10)
---------------------------------
 Uran211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~92"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-11), 2, 5+14*11)
----------------------------------
 Uran212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-12), 2, 5+14*12)
---------------------------------
 Uran213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~24"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-13), 2, 5+14*13)
----------------------------------
 Uran214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~20"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-14), 2, 5+14*14)
----------------------------------
 Uran215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~480"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-15), 2, 5+14*15)
---------------------------------
 Uran216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1523"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-16), 2, 5+14*16)
----------------------------------
 Uran217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~54"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-17), 2, 5+14*17)
-----------------------------------
 Uran218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~162"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-18), 2, 5+14*18)
----------------------------------
 Uran219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-19), 2, 5+14*19)
----------------------------------
 Uran220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~156"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-20), 2, 5+14*20)
----------------------------------
 Uran221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~50"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-21), 2, 5+14*21) 
----------------------------------
 Uran222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~72"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-22), 2, 5+14*22)
----------------------------------
 Uran223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~48"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-23), 2, 5+14*23)
----------------------------------
 Uran224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~150"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-24), 2, 5+14*24)
---------------------------------
 Uran225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~32"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
 Uran226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1578"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-26), 2, 5+14*26)
----------------------------------
 Uran227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-27), 2, 5+14*27)
----------------------------------
 Uran228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1169"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-28), 2, 5+14*28)
----------------------------------
 Uran229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~20"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-29), 2, 5+14*29)
----------------------------------
 Uran230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~22"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-30), 2, 5+14*30)
----------------------------------
 Uran231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("= 27"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-31), 2, 5+14*31)
----------------------------------
 Uran232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-32), 2, 5+14*32)
----------------------------------
 Uran233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-33), 2, 5+14*33)
----------------------------------
 Uran234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-34), 2, 5+14*34)
----------------------------------
 Uran235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-35), 2, 5+14*35)
----------------------------------
 Uran236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-36), 2, 5+14*36)
---------------------------------- 
 Uran237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-37), 2, 5+14*37)
----------------------------------
 Uran238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-38), 2, 5+14*38)
----------------------------------
 Uran239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-39), 2, 5+14*39)
----------------------------------
 Uran240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-40), 2, 5+14*40)
----------------------------------
 Uran241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 112, 2+14*(gg-41), 2, 5+14*41)
----------------------------------	

